--- title: "Delete Training Material" url: https://docs.catalyst.zoho.com/en/api/code-reference/convokraft/delete-training-material/ description: "This API is used to delete the uploaded training materials from the SmartTrain feature in ConvoKraft." last_updated: 2026-08-17T12:16:04Z service: ConvoKraft type: api --- # Delete Training Material This API enables you to delete the custom training materials uploaded to the SmartTrain feature in the ConvoKraft bot by providing the unique ID assigned to each material in the request. You can also delete multiple materials at once by passing the IDs separated by commas. Please note that deleting the training material will automatically delete the trained knowledge in the bot, and it will not be able to answer any queries based on the deleted training material. You can integrate this functionality into your Catalyst application using the API provided below. ### Request Details #### Request URL `DELETE` {api-domain}/convokraft/api/v1/bots/{botid}/rag_training_data?type=DEVELOPED - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project in which the bot has been created - **botid** (Numerical): The unique ID of the ConvoKraft bot > **Note:** 1. The query parameter `type=DEVELOPED` is used to indicate that the bot is in the developed state within the ConvoKraft service. 2. You can fetch the `botid` directly from the URL in the ConvoKraft service when the environment is set to Development in the console. For example : https://console.catalyst.zoho.com/baas/v1/project/183272829220/Development#/convokraft/bots/3828281991118 Here, **3828281991118** is the `botid`. #### Scope ZIAPlatform.Convokraft.RAG.DELETE #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** {org_id} **X-CATALYST-projectid:** {project id} **X-CATALYST-Environment:** Development > **Note:** The request header `CATALYST-Environment: Development` indicates that the API operation should be performed on the bot within the [Catalyst Development environment](https://docs.catalyst.zoho.com/en/deployment-and-billing/environments/development-environment/). #### Request JSON Properties - **rag_training_data** (Numerical, mandatory): Provide the unique ID of the training material generated by ConvoKraft. ### Response Details This API returns the status of the delete operation along with its status code and message. **Sample Request** ```bash curl -X DELETE \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/convokraft/api/v1/bots/92738220219110/rag_training_data?type=DEVELOPED \ -H 'Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57' \ -H 'Content-Type: application/json' \ -H 'CATALYST-ORG: 372822922' \ -H 'X-CATALYST-projectid: 2728172727718' \ -H 'X-CATALYST-Environment: "Development"' \ -\-data '{ "rag_training_data": [ { "id": "67799000000084013" } ] }' ``` **Sample Response** ```json { "status": "SUCCESS", "code": "SUCCESS", "message": "Updated Successfully." } ```